import * as $dara from '@darabonba/typescript';
export declare class DescribeVRoutersResponseBodyVRoutersVRouterRouteTableIds extends $dara.Model {
    routeTableId?: string[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeVRoutersResponseBodyVRoutersVRouter extends $dara.Model {
    creationTime?: string;
    description?: string;
    regionId?: string;
    routeTableIds?: DescribeVRoutersResponseBodyVRoutersVRouterRouteTableIds;
    VRouterId?: string;
    VRouterName?: string;
    vpcId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeVRoutersResponseBodyVRouters extends $dara.Model {
    VRouter?: DescribeVRoutersResponseBodyVRoutersVRouter[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeVRoutersResponseBody extends $dara.Model {
    pageNumber?: number;
    pageSize?: number;
    requestId?: string;
    totalCount?: number;
    VRouters?: DescribeVRoutersResponseBodyVRouters;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
